# requires Java >= 1.5 < 11 (idlj removed in Java 11)
%define		use_jdk		openjdk8

Summary:	Assistive technology for Java Swing applications
Summary(pl.UTF-8):	Technologia wspomagająca dla aplikacji Java Swing
Name:		java-access-bridge
Version:	1.26.2
Release:	1
License:	LGPL v2+
Group:		Libraries/Java
Source0:	https://download.gnome.org/sources/java-access-bridge/1.26/%{name}-%{version}.tar.bz2
# Source0-md5:	baeac0a4f26f66996f62ffa88d6cd19e
Patch0:		%{name}-jar_dir.patch
URL:		https://wiki.gnome.org/Attic/Java%20Access%20Bridge
# headers + idl files
BuildRequires:	at-spi >= 1.22.0
BuildRequires:	at-spi-devel >= 1.22.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.0
%buildrequires_jdk
BuildRequires:	libbonobo-devel >= 2.22.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.021
BuildRequires:	xorg-app-xprop
Requires:	jpackage-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Java Access Bridge for GNOME, which connects
the built-in accessibility support in Java Swing apps to the GNOME
Accessibility framework, specifically the Assistive Technology Service
Provider Interface (at-spi).

%description -l pl.UTF-8
Ten pakiet zawiera Java Access Bridge dla GNOME, łączący technologię
wspierającą w aplikacjach Java Swing z mechanizmami dostępności GNOME,
w szczególności z at-spi.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static \
	--with-java-home=%{java_home}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libjava-access-bridge-jni.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libjava-access-bridge-jni.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjava-access-bridge-jni.so.0
%attr(755,root,root) %{_libdir}/libjava-access-bridge-jni.so
%{_javadir}/JNav.jar
%{_javadir}/gnome-java-bridge.jar
%{_javadir}/accessibility.properties
%changelog
* Sat Dec 30 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-access-bridge.git;a=log;h=master

* Sat Dec 30 2023 Jakub Bogusz <qboosh@pld-linux.org> ecf6571
- non-parallel make (java compilation seems racy)

* Sat Dec 30 2023 Jakub Bogusz <qboosh@pld-linux.org> bafb37e
- up to 1.26.2; no longer noarch

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> 000ad86
- Libraries/Java group

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ba5938a
- updated to 1.22.2

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> a7a229e
- R: jpackage-utils for %{_javadir}

* Mon Sep 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 1a2000d
- updated Source0 URL

* Mon Sep 17 2007 Marcin Banasiak <marcin.banasiak@gmail.com> c1739b6
- updated to 1.20.0

* Sun Mar 11 2007 Marcin Banasiak <marcin.banasiak@gmail.com> b695916
- missing BR: xorg-app-xprop
- release 2

* Sun Mar 11 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 56b87a9
- updated to 1.18.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7a9aa64
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2a1392a
- converted to UTF-8

* Sun Dec 24 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 632510c
- it's noarch package
- updated deps

* Mon Aug 14 2006 grzegol <grzegol@pld-linux.org> 2b7881f
- updated to 1.6.0

* Sat Dec 10 2005 Jakub Bogusz <qboosh@pld-linux.org> 3d09a3d
- gpm-friendly Source0 URL

* Wed Sep 14 2005 pawcioos <pawcioos@pld-linux.org> fcc5cad
- updated to 1.4.5

* Tue May 18 2004 grzegol <grzegol@pld-linux.org> 0056d77
- updated to 1.4.2

* Fri Apr 30 2004 grzegol <grzegol@pld-linux.org> 114e29c
- updated to 1.4.1

* Tue Apr 13 2004 grzegol <grzegol@pld-linux.org> 2fdd5ca
- updated to 1.4.0

* Tue Mar 16 2004 grzegol <grzegol@pld-linux.org> 5a170db
- updated to 1.3.1

* Thu Mar 11 2004 grzegol <grzegol@pld-linux.org> 6ee9a91
- install .jar files in %%{_prefix}/share/java directory

